Revert "New autotools version"
[scilab.git] / scilab / modules / fftw / Makefile.in
1 # Makefile.in generated by automake 1.13.3 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2007 - INRIA - Sylvestre LEDRU
19 # Copyright (C) 2007 - INRIA - Allan CORNET
20 #
21 # This file must be used under the terms of the CeCILL.
22 # This source file is licensed as described in the file COPYING, which
23 # you should have received as part of this distribution.  The terms
24 # are also available at
25 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
26
27 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
28 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
29 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
30 #
31 # This file must be used under the terms of the CeCILL.
32 # This source file is licensed as described in the file COPYING, which
33 # you should have received as part of this distribution.  The terms
34 # are also available at
35 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
36 #
37
38 ##########
39 ### Makefile included stuff
40 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
41 ##########
42
43
44 VPATH = @srcdir@
45 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
46 am__make_running_with_option = \
47   case $${target_option-} in \
48       ?) ;; \
49       *) echo "am__make_running_with_option: internal error: invalid" \
50               "target option '$${target_option-}' specified" >&2; \
51          exit 1;; \
52   esac; \
53   has_opt=no; \
54   sane_makeflags=$$MAKEFLAGS; \
55   if $(am__is_gnu_make); then \
56     sane_makeflags=$$MFLAGS; \
57   else \
58     case $$MAKEFLAGS in \
59       *\\[\ \   ]*) \
60         bs=\\; \
61         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
62           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
63     esac; \
64   fi; \
65   skip_next=no; \
66   strip_trailopt () \
67   { \
68     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
69   }; \
70   for flg in $$sane_makeflags; do \
71     test $$skip_next = yes && { skip_next=no; continue; }; \
72     case $$flg in \
73       *=*|--*) continue;; \
74         -*I) strip_trailopt 'I'; skip_next=yes;; \
75       -*I?*) strip_trailopt 'I';; \
76         -*O) strip_trailopt 'O'; skip_next=yes;; \
77       -*O?*) strip_trailopt 'O';; \
78         -*l) strip_trailopt 'l'; skip_next=yes;; \
79       -*l?*) strip_trailopt 'l';; \
80       -[dEDm]) skip_next=yes;; \
81       -[JT]) skip_next=yes;; \
82     esac; \
83     case $$flg in \
84       *$$target_option*) has_opt=yes; break;; \
85     esac; \
86   done; \
87   test $$has_opt = yes
88 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
89 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
90 pkgdatadir = $(datadir)/@PACKAGE@
91 pkgincludedir = $(includedir)/@PACKAGE@
92 pkglibdir = $(libdir)/@PACKAGE@
93 pkglibexecdir = $(libexecdir)/@PACKAGE@
94 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
95 install_sh_DATA = $(install_sh) -c -m 644
96 install_sh_PROGRAM = $(install_sh) -c
97 install_sh_SCRIPT = $(install_sh) -c
98 INSTALL_HEADER = $(INSTALL_DATA)
99 transform = $(program_transform_name)
100 NORMAL_INSTALL = :
101 PRE_INSTALL = :
102 POST_INSTALL = :
103 NORMAL_UNINSTALL = :
104 PRE_UNINSTALL = :
105 POST_UNINSTALL = :
106 build_triplet = @build@
107 host_triplet = @host@
108 @FFTW_TRUE@am__append_1 = libscifftw-algo.la
109 DIST_COMMON = $(top_srcdir)/Makefile.incl.am $(srcdir)/Makefile.in \
110         $(srcdir)/Makefile.am $(top_srcdir)/config/mkinstalldirs \
111         $(top_srcdir)/config/depcomp
112 @NEED_JAVA_TRUE@am__append_2 = java
113 subdir = modules/fftw
114 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
115 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
116         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/curl.m4 \
117         $(top_srcdir)/m4/docbook.m4 $(top_srcdir)/m4/doxygen.m4 \
118         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
119         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
120         $(top_srcdir)/m4/intel_compiler.m4 \
121         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
122         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
123         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
124         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
125         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
126         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
127         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
128         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
129         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
130         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
131         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
132 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
133         $(ACLOCAL_M4)
134 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
135 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
136 CONFIG_CLEAN_FILES =
137 CONFIG_CLEAN_VPATH_FILES =
138 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
139 am__vpath_adj = case $$p in \
140     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
141     *) f=$$p;; \
142   esac;
143 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
144 am__install_max = 40
145 am__nobase_strip_setup = \
146   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
147 am__nobase_strip = \
148   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
149 am__nobase_list = $(am__nobase_strip_setup); \
150   for p in $$list; do echo "$$p $$p"; done | \
151   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
152   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
153     if (++n[$$2] == $(am__install_max)) \
154       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
155     END { for (dir in files) print dir, files[dir] }'
156 am__base_list = \
157   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
158   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
159 am__uninstall_files_from_dir = { \
160   test -z "$$files" \
161     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
162     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
163          $(am__cd) "$$dir" && rm -f $$files; }; \
164   }
165 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
166         "$(DESTDIR)$(libscifftw_la_etcdir)" \
167         "$(DESTDIR)$(libscifftw_la_rootdir)" \
168         "$(DESTDIR)$(libscifftw_la_sci_gatewaydir)"
169 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
170 libscifftw_algo_la_LIBADD =
171 am__libscifftw_algo_la_SOURCES_DIST = src/nofftw/nofftw.c \
172         src/c/callfftw.c src/c/fftwlibname.c src/c/fftw_utilities.c \
173         src/c/sci_data_utilities.c src/c/with_fftw.c
174 @FFTW_FALSE@am__objects_1 = libscifftw_algo_la-nofftw.lo
175 @FFTW_TRUE@am__objects_1 = libscifftw_algo_la-callfftw.lo \
176 @FFTW_TRUE@     libscifftw_algo_la-fftwlibname.lo \
177 @FFTW_TRUE@     libscifftw_algo_la-fftw_utilities.lo \
178 @FFTW_TRUE@     libscifftw_algo_la-sci_data_utilities.lo \
179 @FFTW_TRUE@     libscifftw_algo_la-with_fftw.lo
180 @FFTW_TRUE@am_libscifftw_algo_la_OBJECTS = $(am__objects_1)
181 libscifftw_algo_la_OBJECTS = $(am_libscifftw_algo_la_OBJECTS)
182 AM_V_lt = $(am__v_lt_@AM_V@)
183 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
184 am__v_lt_0 = --silent
185 am__v_lt_1 = 
186 @FFTW_TRUE@@MAINTAINER_MODE_FALSE@am_libscifftw_algo_la_rpath =
187 @FFTW_TRUE@@MAINTAINER_MODE_TRUE@am_libscifftw_algo_la_rpath =
188 @FFTW_TRUE@libscifftw_la_DEPENDENCIES = libscifftw-algo.la
189 am__libscifftw_la_SOURCES_DIST = src/nofftw/nofftw.c src/c/callfftw.c \
190         src/c/fftwlibname.c src/c/fftw_utilities.c \
191         src/c/sci_data_utilities.c src/c/with_fftw.c \
192         sci_gateway/c/gw_fftw.c \
193         sci_gateway/c/sci_fftwlibraryisloaded.c \
194         sci_gateway/c/sci_disposefftwlibrary.c \
195         sci_gateway/c/sci_fftw.c sci_gateway/c/sci_fftw_flags.c \
196         sci_gateway/c/sci_loadfftwlibrary.c \
197         sci_gateway/c/sci_get_fftw_wisdom.c \
198         sci_gateway/c/sci_set_fftw_wisdom.c \
199         sci_gateway/c/sci_fftw_forget_wisdom.c sci_gateway/c/sci_dct.c \
200         sci_gateway/c/sci_dst.c
201 @FFTW_FALSE@am__objects_2 = libscifftw_la-nofftw.lo
202 @FFTW_TRUE@am__objects_2 = libscifftw_la-callfftw.lo \
203 @FFTW_TRUE@     libscifftw_la-fftwlibname.lo \
204 @FFTW_TRUE@     libscifftw_la-fftw_utilities.lo \
205 @FFTW_TRUE@     libscifftw_la-sci_data_utilities.lo \
206 @FFTW_TRUE@     libscifftw_la-with_fftw.lo
207 @FFTW_TRUE@am__objects_3 = libscifftw_la-gw_fftw.lo \
208 @FFTW_TRUE@     libscifftw_la-sci_fftwlibraryisloaded.lo \
209 @FFTW_TRUE@     libscifftw_la-sci_disposefftwlibrary.lo \
210 @FFTW_TRUE@     libscifftw_la-sci_fftw.lo \
211 @FFTW_TRUE@     libscifftw_la-sci_fftw_flags.lo \
212 @FFTW_TRUE@     libscifftw_la-sci_loadfftwlibrary.lo \
213 @FFTW_TRUE@     libscifftw_la-sci_get_fftw_wisdom.lo \
214 @FFTW_TRUE@     libscifftw_la-sci_set_fftw_wisdom.lo \
215 @FFTW_TRUE@     libscifftw_la-sci_fftw_forget_wisdom.lo \
216 @FFTW_TRUE@     libscifftw_la-sci_dct.lo libscifftw_la-sci_dst.lo
217 @FFTW_FALSE@am_libscifftw_la_OBJECTS = $(am__objects_2)
218 @FFTW_TRUE@am_libscifftw_la_OBJECTS = $(am__objects_3)
219 libscifftw_la_OBJECTS = $(am_libscifftw_la_OBJECTS)
220 libscifftw_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
221         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
222         $(libscifftw_la_LDFLAGS) $(LDFLAGS) -o $@
223 @MAINTAINER_MODE_FALSE@am_libscifftw_la_rpath =
224 @MAINTAINER_MODE_TRUE@am_libscifftw_la_rpath = -rpath $(pkglibdir)
225 AM_V_P = $(am__v_P_@AM_V@)
226 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
227 am__v_P_0 = false
228 am__v_P_1 = :
229 AM_V_GEN = $(am__v_GEN_@AM_V@)
230 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
231 am__v_GEN_0 = @echo "  GEN     " $@;
232 am__v_GEN_1 = 
233 AM_V_at = $(am__v_at_@AM_V@)
234 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
235 am__v_at_0 = @
236 am__v_at_1 = 
237 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
238 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
239 am__depfiles_maybe = depfiles
240 am__mv = mv -f
241 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
242         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
243 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
244         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
245         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
246         $(AM_CFLAGS) $(CFLAGS)
247 AM_V_CC = $(am__v_CC_@AM_V@)
248 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
249 am__v_CC_0 = @echo "  CC      " $@;
250 am__v_CC_1 = 
251 CCLD = $(CC)
252 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
253         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
254         $(AM_LDFLAGS) $(LDFLAGS) -o $@
255 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
256 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
257 am__v_CCLD_0 = @echo "  CCLD    " $@;
258 am__v_CCLD_1 = 
259 SOURCES = $(libscifftw_algo_la_SOURCES) $(libscifftw_la_SOURCES)
260 DIST_SOURCES = $(am__libscifftw_algo_la_SOURCES_DIST) \
261         $(am__libscifftw_la_SOURCES_DIST)
262 am__can_run_installinfo = \
263   case $$AM_UPDATE_INFO_DIR in \
264     n|no|NO) false;; \
265     *) (install-info --version) >/dev/null 2>&1;; \
266   esac
267 DATA = $(libscifftw_la_etc_DATA) $(libscifftw_la_root_DATA) \
268         $(libscifftw_la_sci_gateway_DATA)
269 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
270 # Read a list of newline-separated strings from the standard input,
271 # and print each of them once, without duplicates.  Input order is
272 # *not* preserved.
273 am__uniquify_input = $(AWK) '\
274   BEGIN { nonempty = 0; } \
275   { items[$$0] = 1; nonempty = 1; } \
276   END { if (nonempty) { for (i in items) print i; }; } \
277 '
278 # Make sure the list of sources is unique.  This is necessary because,
279 # e.g., the same source file might be shared among _SOURCES variables
280 # for different programs/libraries.
281 am__define_uniq_tagged_files = \
282   list='$(am__tagged_files)'; \
283   unique=`for i in $$list; do \
284     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
285   done | $(am__uniquify_input)`
286 ETAGS = etags
287 CTAGS = ctags
288 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
289 ACLOCAL = @ACLOCAL@
290 ALL_LINGUAS = @ALL_LINGUAS@
291 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
292 AMTAR = @AMTAR@
293 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
294 ANT = @ANT@
295 ANTLR = @ANTLR@
296 AR = @AR@
297 ARPACK_LIBS = @ARPACK_LIBS@
298 ASM3 = @ASM3@
299 AUTOCONF = @AUTOCONF@
300 AUTOHEADER = @AUTOHEADER@
301 AUTOMAKE = @AUTOMAKE@
302 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
303 AWK = @AWK@
304 BATIK = @BATIK@
305 BLAS_LIBS = @BLAS_LIBS@
306 CC = @CC@
307 CCACHE = @CCACHE@
308 CCDEPMODE = @CCDEPMODE@
309 CFLAGS = @CFLAGS@
310 CHECKSTYLE = @CHECKSTYLE@
311 COBERTURA = @COBERTURA@
312 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
313 COMMONS_IO = @COMMONS_IO@
314 COMMONS_LOGGING = @COMMONS_LOGGING@
315 CPP = @CPP@
316 CPPFLAGS = @CPPFLAGS@
317 CURL_CFLAGS = @CURL_CFLAGS@
318 CURL_CONFIG = @CURL_CONFIG@
319 CURL_LIBS = @CURL_LIBS@
320 CURL_VERSION = @CURL_VERSION@
321 CXX = @CXX@
322 CXXCPP = @CXXCPP@
323 CXXDEPMODE = @CXXDEPMODE@
324 CXXFLAGS = @CXXFLAGS@
325 CYGPATH_W = @CYGPATH_W@
326 DEFS = @DEFS@
327 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
328 DEPDIR = @DEPDIR@
329 DOCBOOK_ROOT = @DOCBOOK_ROOT@
330 DOXYGEN_BIN = @DOXYGEN_BIN@
331 DSYMUTIL = @DSYMUTIL@
332 DUMPBIN = @DUMPBIN@
333 ECHO_C = @ECHO_C@
334 ECHO_N = @ECHO_N@
335 ECHO_T = @ECHO_T@
336 EGREP = @EGREP@
337 EXEEXT = @EXEEXT@
338 F77 = @F77@
339 FFLAGS = @FFLAGS@
340 FFTW3_LIB = @FFTW3_LIB@
341 FFTW_ENABLE = @FFTW_ENABLE@
342 FGREP = @FGREP@
343 FLEXDOCK = @FLEXDOCK@
344 FLIBS = @FLIBS@
345 FOP = @FOP@
346 GENHTML = @GENHTML@
347 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
348 GIWS_BIN = @GIWS_BIN@
349 GLUEGEN2_RT = @GLUEGEN2_RT@
350 GMSGFMT = @GMSGFMT@
351 GMSGFMT_015 = @GMSGFMT_015@
352 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
353 GREP = @GREP@
354 GUI_ENABLE = @GUI_ENABLE@
355 HDF5_CFLAGS = @HDF5_CFLAGS@
356 HDF5_LIBS = @HDF5_LIBS@
357 HELP_ENABLE = @HELP_ENABLE@
358 INSTALL = @INSTALL@
359 INSTALL_DATA = @INSTALL_DATA@
360 INSTALL_PROGRAM = @INSTALL_PROGRAM@
361 INSTALL_SCRIPT = @INSTALL_SCRIPT@
362 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
363 INTLLIBS = @INTLLIBS@
364 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
365 JAR = @JAR@
366 JAVA = @JAVA@
367 JAVAC = @JAVAC@
368 JAVAC_DEBUG = @JAVAC_DEBUG@
369 JAVADOC = @JAVADOC@
370 JAVAH = @JAVAH@
371 JAVASCI_ENABLE = @JAVASCI_ENABLE@
372 JAVA_ENABLE = @JAVA_ENABLE@
373 JAVA_G = @JAVA_G@
374 JAVA_HOME = @JAVA_HOME@
375 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
376 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
377 JDB = @JDB@
378 JEUCLID_CORE = @JEUCLID_CORE@
379 JGRAPHX = @JGRAPHX@
380 JHALL = @JHALL@
381 JLATEXMATH = @JLATEXMATH@
382 JLATEXMATH_FOP = @JLATEXMATH_FOP@
383 JOGL2 = @JOGL2@
384 JROSETTA_API = @JROSETTA_API@
385 JROSETTA_ENGINE = @JROSETTA_ENGINE@
386 JUNIT4 = @JUNIT4@
387 LAPACK_LIBS = @LAPACK_LIBS@
388 LCOV = @LCOV@
389 LD = @LD@
390 LDFLAGS = @LDFLAGS@
391 LIBICONV = @LIBICONV@
392 LIBINTL = @LIBINTL@
393 LIBM = @LIBM@
394 LIBOBJS = @LIBOBJS@
395 LIBS = @LIBS@
396 LIBTOOL = @LIBTOOL@
397 LIPO = @LIPO@
398 LN_S = @LN_S@
399 LOGGING_LEVEL = @LOGGING_LEVEL@
400 LOOKS = @LOOKS@
401 LTLIBICONV = @LTLIBICONV@
402 LTLIBINTL = @LTLIBINTL@
403 LTLIBOBJS = @LTLIBOBJS@
404 MAINT = @MAINT@
405 MAKEINFO = @MAKEINFO@
406 MATIO_CFLAGS = @MATIO_CFLAGS@
407 MATIO_ENABLE = @MATIO_ENABLE@
408 MATIO_LIBS = @MATIO_LIBS@
409 MKDIR_P = @MKDIR_P@
410 MPI_ENABLE = @MPI_ENABLE@
411 MSGCAT = @MSGCAT@
412 MSGFMT = @MSGFMT@
413 MSGFMT_015 = @MSGFMT_015@
414 MSGMERGE = @MSGMERGE@
415 NM = @NM@
416 NMEDIT = @NMEDIT@
417 OBJDUMP = @OBJDUMP@
418 OBJEXT = @OBJEXT@
419 OCAMLC = @OCAMLC@
420 OCAMLDEP = @OCAMLDEP@
421 OCAMLLEX = @OCAMLLEX@
422 OCAMLOPT = @OCAMLOPT@
423 OCAMLYACC = @OCAMLYACC@
424 OPENMPI_CC = @OPENMPI_CC@
425 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
426 OPENMPI_CXX = @OPENMPI_CXX@
427 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
428 OPENMPI_LIBS = @OPENMPI_LIBS@
429 OPENMP_CFLAGS = @OPENMP_CFLAGS@
430 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
431 OPENMP_ENABLE = @OPENMP_ENABLE@
432 OPENMP_LIBS = @OPENMP_LIBS@
433 OTOOL = @OTOOL@
434 OTOOL64 = @OTOOL64@
435 PACKAGE = @PACKAGE@
436 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
437 PACKAGE_NAME = @PACKAGE_NAME@
438 PACKAGE_STRING = @PACKAGE_STRING@
439 PACKAGE_TARNAME = @PACKAGE_TARNAME@
440 PACKAGE_URL = @PACKAGE_URL@
441 PACKAGE_VERSION = @PACKAGE_VERSION@
442 PATH_SEPARATOR = @PATH_SEPARATOR@
443 PCRE_CFLAGS = @PCRE_CFLAGS@
444 PCRE_CONFIG = @PCRE_CONFIG@
445 PCRE_LIBS = @PCRE_LIBS@
446 PCRE_VERSION = @PCRE_VERSION@
447 PKG_CONFIG = @PKG_CONFIG@
448 POSUB = @POSUB@
449 POW_LIB = @POW_LIB@
450 PYTHON = @PYTHON@
451 RANLIB = @RANLIB@
452 RELOCATABLE = @RELOCATABLE@
453 RT_LIB = @RT_LIB@
454 SAXON = @SAXON@
455 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
456 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
457 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
458 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
459 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
460 SCIRENDERER = @SCIRENDERER@
461 SCIRENDERER_CP = @SCIRENDERER_CP@
462 SCI_CFLAGS = @SCI_CFLAGS@
463 SCI_CXXFLAGS = @SCI_CXXFLAGS@
464 SCI_FFLAGS = @SCI_FFLAGS@
465 SCI_LDFLAGS = @SCI_LDFLAGS@
466 SED = @SED@
467 SET_MAKE = @SET_MAKE@
468 SET_RELOCATABLE = @SET_RELOCATABLE@
469 SHELL = @SHELL@
470 SKINLF = @SKINLF@
471 SPLINT = @SPLINT@
472 STRIP = @STRIP@
473 SWIG_BIN = @SWIG_BIN@
474 SWIG_JAVA = @SWIG_JAVA@
475 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
476 SWIG_SCILAB = @SWIG_SCILAB@
477 TCLTK_LIBS = @TCLTK_LIBS@
478 TCL_INC_PATH = @TCL_INC_PATH@
479 TK_INC_PATH = @TK_INC_PATH@
480 UMFPACK_ENABLE = @UMFPACK_ENABLE@
481 UMFPACK_LIB = @UMFPACK_LIB@
482 USE_NLS = @USE_NLS@
483 VERSION = @VERSION@
484 WITH_OCAML = @WITH_OCAML@
485 WITH_TKSCI = @WITH_TKSCI@
486 XCOS_ENABLE = @XCOS_ENABLE@
487 XGETTEXT = @XGETTEXT@
488 XGETTEXT_015 = @XGETTEXT_015@
489 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
490 XMKMF = @XMKMF@
491 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
492 XML_APIS_EXT = @XML_APIS_EXT@
493 XML_CONFIG = @XML_CONFIG@
494 XML_FLAGS = @XML_FLAGS@
495 XML_LIBS = @XML_LIBS@
496 XML_VERSION = @XML_VERSION@
497 X_CFLAGS = @X_CFLAGS@
498 X_EXTRA_LIBS = @X_EXTRA_LIBS@
499 X_LIBS = @X_LIBS@
500 X_PRE_LIBS = @X_PRE_LIBS@
501 abs_builddir = @abs_builddir@
502 abs_srcdir = @abs_srcdir@
503 abs_top_builddir = @abs_top_builddir@
504 abs_top_srcdir = @abs_top_srcdir@
505 ac_ct_AR = @ac_ct_AR@
506 ac_ct_CC = @ac_ct_CC@
507 ac_ct_CXX = @ac_ct_CXX@
508 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
509 ac_ct_F77 = @ac_ct_F77@
510 am__include = @am__include@
511 am__leading_dot = @am__leading_dot@
512 am__quote = @am__quote@
513 am__tar = @am__tar@
514 am__untar = @am__untar@
515 bindir = @bindir@
516 build = @build@
517 build_alias = @build_alias@
518 build_cpu = @build_cpu@
519 build_os = @build_os@
520 build_vendor = @build_vendor@
521 builddir = @builddir@
522 cxx_present = @cxx_present@
523 datadir = @datadir@
524 datarootdir = @datarootdir@
525 docdir = @docdir@
526 dvidir = @dvidir@
527 exec_prefix = @exec_prefix@
528 host = @host@
529 host_alias = @host_alias@
530 host_cpu = @host_cpu@
531 host_os = @host_os@
532 host_vendor = @host_vendor@
533 htmldir = @htmldir@
534 includedir = @includedir@
535 infodir = @infodir@
536 install_sh = @install_sh@
537 libdir = @libdir@
538 libexecdir = @libexecdir@
539 localedir = @localedir@
540 localstatedir = @localstatedir@
541 mandir = @mandir@
542 mkdir_p = @mkdir_p@
543 oldincludedir = @oldincludedir@
544 pdfdir = @pdfdir@
545 prefix = @prefix@
546 program_transform_name = @program_transform_name@
547 psdir = @psdir@
548 sbindir = @sbindir@
549 sharedstatedir = @sharedstatedir@
550 srcdir = @srcdir@
551 sysconfdir = @sysconfdir@
552 target_alias = @target_alias@
553 top_build_prefix = @top_build_prefix@
554 top_builddir = @top_builddir@
555 top_srcdir = @top_srcdir@
556 modulename = fftw
557 @MAINTAINER_MODE_TRUE@pkglib_LTLIBRARIES = libscifftw.la
558 @MAINTAINER_MODE_FALSE@noinst_LTLIBRARIES = libscifftw.la \
559 @MAINTAINER_MODE_FALSE@ $(am__append_1)
560 @MAINTAINER_MODE_TRUE@noinst_LTLIBRARIES = $(am__append_1)
561 libscifftw_la_LDFLAGS = $(FFTW3_LIB) $(AM_LDFLAGS)
562
563 #### fftw : Conf files ####
564 libscifftw_la_rootdir = $(mydatadir)
565
566 #### fftw : init scripts ####
567 libscifftw_la_etcdir = $(mydatadir)/etc
568 libscifftw_la_etc_DATA = etc/fftw.quit etc/fftw.start
569 @FFTW_FALSE@FFTW_C_SOURCES = src/nofftw/nofftw.c
570 @FFTW_TRUE@FFTW_C_SOURCES = src/c/callfftw.c \
571 @FFTW_TRUE@src/c/fftwlibname.c \
572 @FFTW_TRUE@src/c/fftw_utilities.c \
573 @FFTW_TRUE@src/c/sci_data_utilities.c \
574 @FFTW_TRUE@src/c/with_fftw.c
575
576 @FFTW_TRUE@GATEWAY_C_SOURCES = sci_gateway/c/gw_fftw.c \
577 @FFTW_TRUE@     sci_gateway/c/sci_fftwlibraryisloaded.c \
578 @FFTW_TRUE@     sci_gateway/c/sci_disposefftwlibrary.c \
579 @FFTW_TRUE@     sci_gateway/c/sci_fftw.c \
580 @FFTW_TRUE@     sci_gateway/c/sci_fftw_flags.c \
581 @FFTW_TRUE@     sci_gateway/c/sci_loadfftwlibrary.c \
582 @FFTW_TRUE@     sci_gateway/c/sci_get_fftw_wisdom.c \
583 @FFTW_TRUE@     sci_gateway/c/sci_set_fftw_wisdom.c \
584 @FFTW_TRUE@     sci_gateway/c/sci_fftw_forget_wisdom.c \
585 @FFTW_TRUE@     sci_gateway/c/sci_dct.c \
586 @FFTW_TRUE@     sci_gateway/c/sci_dst.c 
587
588
589 #### fftw : Conf files ####
590 @FFTW_TRUE@libscifftw_la_root_DATA = license.txt 
591
592 #### fftw : gateway declaration ####
593 @FFTW_TRUE@libscifftw_la_sci_gatewaydir = $(mydatadir)/sci_gateway
594 @FFTW_TRUE@libscifftw_la_sci_gateway_DATA = sci_gateway/fftw_gateway.xml
595 @FFTW_TRUE@libscifftw_algo_la_SOURCES = $(FFTW_C_SOURCES)
596 @FFTW_FALSE@libscifftw_la_SOURCES = $(FFTW_C_SOURCES)
597 @FFTW_TRUE@libscifftw_la_SOURCES = $(GATEWAY_C_SOURCES)
598 @FFTW_TRUE@libscifftw_algo_la_CPPFLAGS = $(libscifftw_la_CPPFLAGS)
599
600 # For the code check (splint)
601 @FFTW_TRUE@CHECK_SRC = $(FFTW_C_SOURCES) $(GATEWAY_C_SOURCES)
602 @FFTW_TRUE@INCLUDE_FLAGS = $(libscifftw_la_CPPFLAGS)
603 @FFTW_TRUE@libscifftw_la_LIBADD = libscifftw-algo.la
604 @FFTW_FALSE@libscifftw_la_CPPFLAGS = -I$(srcdir)/includes/ \
605 @FFTW_FALSE@                    -I$(srcdir)/src/c/ \
606 @FFTW_FALSE@                    -I$(top_srcdir)/modules/api_scilab/includes/ \
607 @FFTW_FALSE@                    -I$(top_srcdir)/modules/output_stream/includes/ \
608 @FFTW_FALSE@                    -I$(top_srcdir)/modules/localization/includes/ \
609 @FFTW_FALSE@                    $(AM_CPPFLAGS)
610
611 @FFTW_TRUE@libscifftw_la_CPPFLAGS = -I$(srcdir)/includes/ \
612 @FFTW_TRUE@                     -I$(srcdir)/src/c/ \
613 @FFTW_TRUE@                     -I$(top_srcdir)/modules/dynamic_link/includes/ \
614 @FFTW_TRUE@                     -I$(top_srcdir)/modules/fileio/includes/ \
615 @FFTW_TRUE@                     -I$(top_srcdir)/modules/output_stream/includes/ \
616 @FFTW_TRUE@                     -I$(top_srcdir)/modules/api_scilab/includes/ \
617 @FFTW_TRUE@                     -I$(top_srcdir)/modules/localization/includes/ \
618 @FFTW_TRUE@                     $(FFTW3_CFLAGS) \
619 @FFTW_TRUE@                     $(AM_CPPFLAGS)
620
621
622 # Where all the Scilab stuff is installed (macros, help, ...)
623 mydatadir = $(pkgdatadir)/modules/$(modulename)
624
625 # Set AM_* SCI detected settings
626 AM_CPPFLAGS = $(SCI_CPPFLAGS)
627 AM_CFLAGS = $(SCI_CFLAGS)
628 AM_CXXFLAGS = $(SCI_CXXFLAGS)
629 # append includes to AM_FFLAGS to manage fortran includes
630 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
631
632 # Tag shared libraries with the Scilab version
633 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
634
635 # splint options
636 SPLINT_OPTIONS = -weak -booltype BOOL
637
638 ########################### JAVA ######################################
639 #### We are delegating java compilation to ant... Thanks to that
640 #### the procedure will be the same with Microsoft Windows (C)
641 #### and Linux/Unix
642 #######################################################################
643 TARGETS_ALL = $(am__append_2)
644
645 ################ MACROS ######################
646 # Rule to build a macro
647 # NOT USED  AT THE MOMENT
648 SUFFIXES = .sci 
649
650 ########### INSTALL DOCUMENTATION ###################
651
652 # Install documentation files into the right target
653 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
654 # automake needs the html files to be present which is not the case when
655 # we are building Scilab
656
657 # Where it should be installed
658 pkgdocdir = $(mydatadir)
659
660 # What is the mask of the help source
661 DOCMASKXML = *.xml
662
663 # What is the mask of the MathML sources
664 DOCMASKMML = *.mml
665
666 ########### INSTALL DATA ###################
667 # Install macros, help & demos
668 # Where it should be installed
669 pkgmacrosdir = $(mydatadir)
670 # Which directory we process
671 MACRODIRS = macros/
672 # Mask of the Scilab sources macros
673 MACROMASK = *.sci
674 # Mask of the Scilab executable sources macros
675 MACROBUILDMASK = *.sce
676 # Mask of the Scilab compiled macros
677 MACROBINMASK = *.bin
678 # List of the standard directory for tests
679 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
680 # Where the demos should be installed
681 pkgdemosdir = $(mydatadir)
682 # List of the standard directory for demos
683 DEMOS_DIR = demos
684 # List of the standard directory for examples
685 EXAMPLES_DIR = examples
686 # Where to export JAVA archives (.jar)
687 JARDIR = jar/
688 # JAR files mask
689 JARMASK = *.jar
690 # Chapter file 
691 HELP_CHAPTERDIR = help/
692 HELP_CHAPTERFILE = addchapter.sce
693 HELP_CHAPTERLANG = en_US fr_FR pt_BR
694 all: all-am
695
696 .SUFFIXES:
697 .SUFFIXES: .sci .bin .c .lo .o .obj
698 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
699         @for dep in $?; do \
700           case '$(am__configure_deps)' in \
701             *$$dep*) \
702               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
703                 && { if test -f $@; then exit 0; else break; fi; }; \
704               exit 1;; \
705           esac; \
706         done; \
707         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/fftw/Makefile'; \
708         $(am__cd) $(top_srcdir) && \
709           $(AUTOMAKE) --foreign modules/fftw/Makefile
710 .PRECIOUS: Makefile
711 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
712         @case '$?' in \
713           *config.status*) \
714             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
715           *) \
716             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
717             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
718         esac;
719 $(top_srcdir)/Makefile.incl.am:
720
721 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
722         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
723
724 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
725         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
726 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
727         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
728 $(am__aclocal_m4_deps):
729
730 clean-noinstLTLIBRARIES:
731         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
732         @list='$(noinst_LTLIBRARIES)'; \
733         locs=`for p in $$list; do echo $$p; done | \
734               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
735               sort -u`; \
736         test -z "$$locs" || { \
737           echo rm -f $${locs}; \
738           rm -f $${locs}; \
739         }
740
741 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
742         @$(NORMAL_INSTALL)
743         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
744         list2=; for p in $$list; do \
745           if test -f $$p; then \
746             list2="$$list2 $$p"; \
747           else :; fi; \
748         done; \
749         test -z "$$list2" || { \
750           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
751           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
752           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
753           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
754         }
755
756 uninstall-pkglibLTLIBRARIES:
757         @$(NORMAL_UNINSTALL)
758         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
759         for p in $$list; do \
760           $(am__strip_dir) \
761           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
762           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
763         done
764
765 clean-pkglibLTLIBRARIES:
766         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
767         @list='$(pkglib_LTLIBRARIES)'; \
768         locs=`for p in $$list; do echo $$p; done | \
769               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
770               sort -u`; \
771         test -z "$$locs" || { \
772           echo rm -f $${locs}; \
773           rm -f $${locs}; \
774         }
775
776 libscifftw-algo.la: $(libscifftw_algo_la_OBJECTS) $(libscifftw_algo_la_DEPENDENCIES) $(EXTRA_libscifftw_algo_la_DEPENDENCIES) 
777         $(AM_V_CCLD)$(LINK) $(am_libscifftw_algo_la_rpath) $(libscifftw_algo_la_OBJECTS) $(libscifftw_algo_la_LIBADD) $(LIBS)
778
779 libscifftw.la: $(libscifftw_la_OBJECTS) $(libscifftw_la_DEPENDENCIES) $(EXTRA_libscifftw_la_DEPENDENCIES) 
780         $(AM_V_CCLD)$(libscifftw_la_LINK) $(am_libscifftw_la_rpath) $(libscifftw_la_OBJECTS) $(libscifftw_la_LIBADD) $(LIBS)
781
782 mostlyclean-compile:
783         -rm -f *.$(OBJEXT)
784
785 distclean-compile:
786         -rm -f *.tab.c
787
788 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifftw_algo_la-callfftw.Plo@am__quote@
789 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifftw_algo_la-fftw_utilities.Plo@am__quote@
790 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifftw_algo_la-fftwlibname.Plo@am__quote@
791 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifftw_algo_la-nofftw.Plo@am__quote@
792 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifftw_algo_la-sci_data_utilities.Plo@am__quote@
793 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifftw_algo_la-with_fftw.Plo@am__quote@
794 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifftw_la-callfftw.Plo@am__quote@
795 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifftw_la-fftw_utilities.Plo@am__quote@
796 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifftw_la-fftwlibname.Plo@am__quote@
797 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifftw_la-gw_fftw.Plo@am__quote@
798 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifftw_la-nofftw.Plo@am__quote@
799 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifftw_la-sci_data_utilities.Plo@am__quote@
800 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifftw_la-sci_dct.Plo@am__quote@
801 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifftw_la-sci_disposefftwlibrary.Plo@am__quote@
802 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifftw_la-sci_dst.Plo@am__quote@
803 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifftw_la-sci_fftw.Plo@am__quote@
804 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifftw_la-sci_fftw_flags.Plo@am__quote@
805 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifftw_la-sci_fftw_forget_wisdom.Plo@am__quote@
806 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifftw_la-sci_fftwlibraryisloaded.Plo@am__quote@
807 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifftw_la-sci_get_fftw_wisdom.Plo@am__quote@
808 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifftw_la-sci_loadfftwlibrary.Plo@am__quote@
809 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifftw_la-sci_set_fftw_wisdom.Plo@am__quote@
810 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscifftw_la-with_fftw.Plo@am__quote@
811
812 .c.o:
813 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
814 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
815 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
816 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
817 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c $<
818
819 .c.obj:
820 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
821 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
822 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
823 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
824 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c `$(CYGPATH_W) '$<'`
825
826 .c.lo:
827 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
828 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
829 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
830 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
831 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
832
833 libscifftw_algo_la-nofftw.lo: src/nofftw/nofftw.c
834 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifftw_algo_la-nofftw.lo -MD -MP -MF $(DEPDIR)/libscifftw_algo_la-nofftw.Tpo -c -o libscifftw_algo_la-nofftw.lo `test -f 'src/nofftw/nofftw.c' || echo '$(srcdir)/'`src/nofftw/nofftw.c
835 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscifftw_algo_la-nofftw.Tpo $(DEPDIR)/libscifftw_algo_la-nofftw.Plo
836 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/nofftw/nofftw.c' object='libscifftw_algo_la-nofftw.lo' libtool=yes @AMDEPBACKSLASH@
837 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
838 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifftw_algo_la-nofftw.lo `test -f 'src/nofftw/nofftw.c' || echo '$(srcdir)/'`src/nofftw/nofftw.c
839
840 libscifftw_algo_la-callfftw.lo: src/c/callfftw.c
841 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifftw_algo_la-callfftw.lo -MD -MP -MF $(DEPDIR)/libscifftw_algo_la-callfftw.Tpo -c -o libscifftw_algo_la-callfftw.lo `test -f 'src/c/callfftw.c' || echo '$(srcdir)/'`src/c/callfftw.c
842 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscifftw_algo_la-callfftw.Tpo $(DEPDIR)/libscifftw_algo_la-callfftw.Plo
843 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/callfftw.c' object='libscifftw_algo_la-callfftw.lo' libtool=yes @AMDEPBACKSLASH@
844 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
845 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifftw_algo_la-callfftw.lo `test -f 'src/c/callfftw.c' || echo '$(srcdir)/'`src/c/callfftw.c
846
847 libscifftw_algo_la-fftwlibname.lo: src/c/fftwlibname.c
848 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifftw_algo_la-fftwlibname.lo -MD -MP -MF $(DEPDIR)/libscifftw_algo_la-fftwlibname.Tpo -c -o libscifftw_algo_la-fftwlibname.lo `test -f 'src/c/fftwlibname.c' || echo '$(srcdir)/'`src/c/fftwlibname.c
849 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscifftw_algo_la-fftwlibname.Tpo $(DEPDIR)/libscifftw_algo_la-fftwlibname.Plo
850 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/fftwlibname.c' object='libscifftw_algo_la-fftwlibname.lo' libtool=yes @AMDEPBACKSLASH@
851 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
852 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifftw_algo_la-fftwlibname.lo `test -f 'src/c/fftwlibname.c' || echo '$(srcdir)/'`src/c/fftwlibname.c
853
854 libscifftw_algo_la-fftw_utilities.lo: src/c/fftw_utilities.c
855 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifftw_algo_la-fftw_utilities.lo -MD -MP -MF $(DEPDIR)/libscifftw_algo_la-fftw_utilities.Tpo -c -o libscifftw_algo_la-fftw_utilities.lo `test -f 'src/c/fftw_utilities.c' || echo '$(srcdir)/'`src/c/fftw_utilities.c
856 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscifftw_algo_la-fftw_utilities.Tpo $(DEPDIR)/libscifftw_algo_la-fftw_utilities.Plo
857 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/fftw_utilities.c' object='libscifftw_algo_la-fftw_utilities.lo' libtool=yes @AMDEPBACKSLASH@
858 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
859 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifftw_algo_la-fftw_utilities.lo `test -f 'src/c/fftw_utilities.c' || echo '$(srcdir)/'`src/c/fftw_utilities.c
860
861 libscifftw_algo_la-sci_data_utilities.lo: src/c/sci_data_utilities.c
862 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifftw_algo_la-sci_data_utilities.lo -MD -MP -MF $(DEPDIR)/libscifftw_algo_la-sci_data_utilities.Tpo -c -o libscifftw_algo_la-sci_data_utilities.lo `test -f 'src/c/sci_data_utilities.c' || echo '$(srcdir)/'`src/c/sci_data_utilities.c
863 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscifftw_algo_la-sci_data_utilities.Tpo $(DEPDIR)/libscifftw_algo_la-sci_data_utilities.Plo
864 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/sci_data_utilities.c' object='libscifftw_algo_la-sci_data_utilities.lo' libtool=yes @AMDEPBACKSLASH@
865 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
866 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifftw_algo_la-sci_data_utilities.lo `test -f 'src/c/sci_data_utilities.c' || echo '$(srcdir)/'`src/c/sci_data_utilities.c
867
868 libscifftw_algo_la-with_fftw.lo: src/c/with_fftw.c
869 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifftw_algo_la-with_fftw.lo -MD -MP -MF $(DEPDIR)/libscifftw_algo_la-with_fftw.Tpo -c -o libscifftw_algo_la-with_fftw.lo `test -f 'src/c/with_fftw.c' || echo '$(srcdir)/'`src/c/with_fftw.c
870 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscifftw_algo_la-with_fftw.Tpo $(DEPDIR)/libscifftw_algo_la-with_fftw.Plo
871 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/with_fftw.c' object='libscifftw_algo_la-with_fftw.lo' libtool=yes @AMDEPBACKSLASH@
872 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
873 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifftw_algo_la-with_fftw.lo `test -f 'src/c/with_fftw.c' || echo '$(srcdir)/'`src/c/with_fftw.c
874
875 libscifftw_la-nofftw.lo: src/nofftw/nofftw.c
876 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifftw_la-nofftw.lo -MD -MP -MF $(DEPDIR)/libscifftw_la-nofftw.Tpo -c -o libscifftw_la-nofftw.lo `test -f 'src/nofftw/nofftw.c' || echo '$(srcdir)/'`src/nofftw/nofftw.c
877 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscifftw_la-nofftw.Tpo $(DEPDIR)/libscifftw_la-nofftw.Plo
878 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/nofftw/nofftw.c' object='libscifftw_la-nofftw.lo' libtool=yes @AMDEPBACKSLASH@
879 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
880 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifftw_la-nofftw.lo `test -f 'src/nofftw/nofftw.c' || echo '$(srcdir)/'`src/nofftw/nofftw.c
881
882 libscifftw_la-callfftw.lo: src/c/callfftw.c
883 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifftw_la-callfftw.lo -MD -MP -MF $(DEPDIR)/libscifftw_la-callfftw.Tpo -c -o libscifftw_la-callfftw.lo `test -f 'src/c/callfftw.c' || echo '$(srcdir)/'`src/c/callfftw.c
884 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscifftw_la-callfftw.Tpo $(DEPDIR)/libscifftw_la-callfftw.Plo
885 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/callfftw.c' object='libscifftw_la-callfftw.lo' libtool=yes @AMDEPBACKSLASH@
886 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
887 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifftw_la-callfftw.lo `test -f 'src/c/callfftw.c' || echo '$(srcdir)/'`src/c/callfftw.c
888
889 libscifftw_la-fftwlibname.lo: src/c/fftwlibname.c
890 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifftw_la-fftwlibname.lo -MD -MP -MF $(DEPDIR)/libscifftw_la-fftwlibname.Tpo -c -o libscifftw_la-fftwlibname.lo `test -f 'src/c/fftwlibname.c' || echo '$(srcdir)/'`src/c/fftwlibname.c
891 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscifftw_la-fftwlibname.Tpo $(DEPDIR)/libscifftw_la-fftwlibname.Plo
892 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/fftwlibname.c' object='libscifftw_la-fftwlibname.lo' libtool=yes @AMDEPBACKSLASH@
893 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
894 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifftw_la-fftwlibname.lo `test -f 'src/c/fftwlibname.c' || echo '$(srcdir)/'`src/c/fftwlibname.c
895
896 libscifftw_la-fftw_utilities.lo: src/c/fftw_utilities.c
897 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifftw_la-fftw_utilities.lo -MD -MP -MF $(DEPDIR)/libscifftw_la-fftw_utilities.Tpo -c -o libscifftw_la-fftw_utilities.lo `test -f 'src/c/fftw_utilities.c' || echo '$(srcdir)/'`src/c/fftw_utilities.c
898 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscifftw_la-fftw_utilities.Tpo $(DEPDIR)/libscifftw_la-fftw_utilities.Plo
899 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/fftw_utilities.c' object='libscifftw_la-fftw_utilities.lo' libtool=yes @AMDEPBACKSLASH@
900 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
901 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifftw_la-fftw_utilities.lo `test -f 'src/c/fftw_utilities.c' || echo '$(srcdir)/'`src/c/fftw_utilities.c
902
903 libscifftw_la-sci_data_utilities.lo: src/c/sci_data_utilities.c
904 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifftw_la-sci_data_utilities.lo -MD -MP -MF $(DEPDIR)/libscifftw_la-sci_data_utilities.Tpo -c -o libscifftw_la-sci_data_utilities.lo `test -f 'src/c/sci_data_utilities.c' || echo '$(srcdir)/'`src/c/sci_data_utilities.c
905 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscifftw_la-sci_data_utilities.Tpo $(DEPDIR)/libscifftw_la-sci_data_utilities.Plo
906 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/sci_data_utilities.c' object='libscifftw_la-sci_data_utilities.lo' libtool=yes @AMDEPBACKSLASH@
907 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
908 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifftw_la-sci_data_utilities.lo `test -f 'src/c/sci_data_utilities.c' || echo '$(srcdir)/'`src/c/sci_data_utilities.c
909
910 libscifftw_la-with_fftw.lo: src/c/with_fftw.c
911 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifftw_la-with_fftw.lo -MD -MP -MF $(DEPDIR)/libscifftw_la-with_fftw.Tpo -c -o libscifftw_la-with_fftw.lo `test -f 'src/c/with_fftw.c' || echo '$(srcdir)/'`src/c/with_fftw.c
912 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscifftw_la-with_fftw.Tpo $(DEPDIR)/libscifftw_la-with_fftw.Plo
913 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/with_fftw.c' object='libscifftw_la-with_fftw.lo' libtool=yes @AMDEPBACKSLASH@
914 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
915 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifftw_la-with_fftw.lo `test -f 'src/c/with_fftw.c' || echo '$(srcdir)/'`src/c/with_fftw.c
916
917 libscifftw_la-gw_fftw.lo: sci_gateway/c/gw_fftw.c
918 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifftw_la-gw_fftw.lo -MD -MP -MF $(DEPDIR)/libscifftw_la-gw_fftw.Tpo -c -o libscifftw_la-gw_fftw.lo `test -f 'sci_gateway/c/gw_fftw.c' || echo '$(srcdir)/'`sci_gateway/c/gw_fftw.c
919 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscifftw_la-gw_fftw.Tpo $(DEPDIR)/libscifftw_la-gw_fftw.Plo
920 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/gw_fftw.c' object='libscifftw_la-gw_fftw.lo' libtool=yes @AMDEPBACKSLASH@
921 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
922 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifftw_la-gw_fftw.lo `test -f 'sci_gateway/c/gw_fftw.c' || echo '$(srcdir)/'`sci_gateway/c/gw_fftw.c
923
924 libscifftw_la-sci_fftwlibraryisloaded.lo: sci_gateway/c/sci_fftwlibraryisloaded.c
925 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifftw_la-sci_fftwlibraryisloaded.lo -MD -MP -MF $(DEPDIR)/libscifftw_la-sci_fftwlibraryisloaded.Tpo -c -o libscifftw_la-sci_fftwlibraryisloaded.lo `test -f 'sci_gateway/c/sci_fftwlibraryisloaded.c' || echo '$(srcdir)/'`sci_gateway/c/sci_fftwlibraryisloaded.c
926 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscifftw_la-sci_fftwlibraryisloaded.Tpo $(DEPDIR)/libscifftw_la-sci_fftwlibraryisloaded.Plo
927 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_fftwlibraryisloaded.c' object='libscifftw_la-sci_fftwlibraryisloaded.lo' libtool=yes @AMDEPBACKSLASH@
928 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
929 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifftw_la-sci_fftwlibraryisloaded.lo `test -f 'sci_gateway/c/sci_fftwlibraryisloaded.c' || echo '$(srcdir)/'`sci_gateway/c/sci_fftwlibraryisloaded.c
930
931 libscifftw_la-sci_disposefftwlibrary.lo: sci_gateway/c/sci_disposefftwlibrary.c
932 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifftw_la-sci_disposefftwlibrary.lo -MD -MP -MF $(DEPDIR)/libscifftw_la-sci_disposefftwlibrary.Tpo -c -o libscifftw_la-sci_disposefftwlibrary.lo `test -f 'sci_gateway/c/sci_disposefftwlibrary.c' || echo '$(srcdir)/'`sci_gateway/c/sci_disposefftwlibrary.c
933 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscifftw_la-sci_disposefftwlibrary.Tpo $(DEPDIR)/libscifftw_la-sci_disposefftwlibrary.Plo
934 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_disposefftwlibrary.c' object='libscifftw_la-sci_disposefftwlibrary.lo' libtool=yes @AMDEPBACKSLASH@
935 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
936 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifftw_la-sci_disposefftwlibrary.lo `test -f 'sci_gateway/c/sci_disposefftwlibrary.c' || echo '$(srcdir)/'`sci_gateway/c/sci_disposefftwlibrary.c
937
938 libscifftw_la-sci_fftw.lo: sci_gateway/c/sci_fftw.c
939 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifftw_la-sci_fftw.lo -MD -MP -MF $(DEPDIR)/libscifftw_la-sci_fftw.Tpo -c -o libscifftw_la-sci_fftw.lo `test -f 'sci_gateway/c/sci_fftw.c' || echo '$(srcdir)/'`sci_gateway/c/sci_fftw.c
940 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscifftw_la-sci_fftw.Tpo $(DEPDIR)/libscifftw_la-sci_fftw.Plo
941 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_fftw.c' object='libscifftw_la-sci_fftw.lo' libtool=yes @AMDEPBACKSLASH@
942 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
943 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifftw_la-sci_fftw.lo `test -f 'sci_gateway/c/sci_fftw.c' || echo '$(srcdir)/'`sci_gateway/c/sci_fftw.c
944
945 libscifftw_la-sci_fftw_flags.lo: sci_gateway/c/sci_fftw_flags.c
946 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifftw_la-sci_fftw_flags.lo -MD -MP -MF $(DEPDIR)/libscifftw_la-sci_fftw_flags.Tpo -c -o libscifftw_la-sci_fftw_flags.lo `test -f 'sci_gateway/c/sci_fftw_flags.c' || echo '$(srcdir)/'`sci_gateway/c/sci_fftw_flags.c
947 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscifftw_la-sci_fftw_flags.Tpo $(DEPDIR)/libscifftw_la-sci_fftw_flags.Plo
948 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_fftw_flags.c' object='libscifftw_la-sci_fftw_flags.lo' libtool=yes @AMDEPBACKSLASH@
949 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
950 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifftw_la-sci_fftw_flags.lo `test -f 'sci_gateway/c/sci_fftw_flags.c' || echo '$(srcdir)/'`sci_gateway/c/sci_fftw_flags.c
951
952 libscifftw_la-sci_loadfftwlibrary.lo: sci_gateway/c/sci_loadfftwlibrary.c
953 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifftw_la-sci_loadfftwlibrary.lo -MD -MP -MF $(DEPDIR)/libscifftw_la-sci_loadfftwlibrary.Tpo -c -o libscifftw_la-sci_loadfftwlibrary.lo `test -f 'sci_gateway/c/sci_loadfftwlibrary.c' || echo '$(srcdir)/'`sci_gateway/c/sci_loadfftwlibrary.c
954 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscifftw_la-sci_loadfftwlibrary.Tpo $(DEPDIR)/libscifftw_la-sci_loadfftwlibrary.Plo
955 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_loadfftwlibrary.c' object='libscifftw_la-sci_loadfftwlibrary.lo' libtool=yes @AMDEPBACKSLASH@
956 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
957 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifftw_la-sci_loadfftwlibrary.lo `test -f 'sci_gateway/c/sci_loadfftwlibrary.c' || echo '$(srcdir)/'`sci_gateway/c/sci_loadfftwlibrary.c
958
959 libscifftw_la-sci_get_fftw_wisdom.lo: sci_gateway/c/sci_get_fftw_wisdom.c
960 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifftw_la-sci_get_fftw_wisdom.lo -MD -MP -MF $(DEPDIR)/libscifftw_la-sci_get_fftw_wisdom.Tpo -c -o libscifftw_la-sci_get_fftw_wisdom.lo `test -f 'sci_gateway/c/sci_get_fftw_wisdom.c' || echo '$(srcdir)/'`sci_gateway/c/sci_get_fftw_wisdom.c
961 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscifftw_la-sci_get_fftw_wisdom.Tpo $(DEPDIR)/libscifftw_la-sci_get_fftw_wisdom.Plo
962 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_get_fftw_wisdom.c' object='libscifftw_la-sci_get_fftw_wisdom.lo' libtool=yes @AMDEPBACKSLASH@
963 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
964 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifftw_la-sci_get_fftw_wisdom.lo `test -f 'sci_gateway/c/sci_get_fftw_wisdom.c' || echo '$(srcdir)/'`sci_gateway/c/sci_get_fftw_wisdom.c
965
966 libscifftw_la-sci_set_fftw_wisdom.lo: sci_gateway/c/sci_set_fftw_wisdom.c
967 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifftw_la-sci_set_fftw_wisdom.lo -MD -MP -MF $(DEPDIR)/libscifftw_la-sci_set_fftw_wisdom.Tpo -c -o libscifftw_la-sci_set_fftw_wisdom.lo `test -f 'sci_gateway/c/sci_set_fftw_wisdom.c' || echo '$(srcdir)/'`sci_gateway/c/sci_set_fftw_wisdom.c
968 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscifftw_la-sci_set_fftw_wisdom.Tpo $(DEPDIR)/libscifftw_la-sci_set_fftw_wisdom.Plo
969 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_set_fftw_wisdom.c' object='libscifftw_la-sci_set_fftw_wisdom.lo' libtool=yes @AMDEPBACKSLASH@
970 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
971 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifftw_la-sci_set_fftw_wisdom.lo `test -f 'sci_gateway/c/sci_set_fftw_wisdom.c' || echo '$(srcdir)/'`sci_gateway/c/sci_set_fftw_wisdom.c
972
973 libscifftw_la-sci_fftw_forget_wisdom.lo: sci_gateway/c/sci_fftw_forget_wisdom.c
974 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifftw_la-sci_fftw_forget_wisdom.lo -MD -MP -MF $(DEPDIR)/libscifftw_la-sci_fftw_forget_wisdom.Tpo -c -o libscifftw_la-sci_fftw_forget_wisdom.lo `test -f 'sci_gateway/c/sci_fftw_forget_wisdom.c' || echo '$(srcdir)/'`sci_gateway/c/sci_fftw_forget_wisdom.c
975 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscifftw_la-sci_fftw_forget_wisdom.Tpo $(DEPDIR)/libscifftw_la-sci_fftw_forget_wisdom.Plo
976 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_fftw_forget_wisdom.c' object='libscifftw_la-sci_fftw_forget_wisdom.lo' libtool=yes @AMDEPBACKSLASH@
977 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
978 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifftw_la-sci_fftw_forget_wisdom.lo `test -f 'sci_gateway/c/sci_fftw_forget_wisdom.c' || echo '$(srcdir)/'`sci_gateway/c/sci_fftw_forget_wisdom.c
979
980 libscifftw_la-sci_dct.lo: sci_gateway/c/sci_dct.c
981 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifftw_la-sci_dct.lo -MD -MP -MF $(DEPDIR)/libscifftw_la-sci_dct.Tpo -c -o libscifftw_la-sci_dct.lo `test -f 'sci_gateway/c/sci_dct.c' || echo '$(srcdir)/'`sci_gateway/c/sci_dct.c
982 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscifftw_la-sci_dct.Tpo $(DEPDIR)/libscifftw_la-sci_dct.Plo
983 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_dct.c' object='libscifftw_la-sci_dct.lo' libtool=yes @AMDEPBACKSLASH@
984 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
985 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifftw_la-sci_dct.lo `test -f 'sci_gateway/c/sci_dct.c' || echo '$(srcdir)/'`sci_gateway/c/sci_dct.c
986
987 libscifftw_la-sci_dst.lo: sci_gateway/c/sci_dst.c
988 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libscifftw_la-sci_dst.lo -MD -MP -MF $(DEPDIR)/libscifftw_la-sci_dst.Tpo -c -o libscifftw_la-sci_dst.lo `test -f 'sci_gateway/c/sci_dst.c' || echo '$(srcdir)/'`sci_gateway/c/sci_dst.c
989 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libscifftw_la-sci_dst.Tpo $(DEPDIR)/libscifftw_la-sci_dst.Plo
990 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_dst.c' object='libscifftw_la-sci_dst.lo' libtool=yes @AMDEPBACKSLASH@
991 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
992 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifftw_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libscifftw_la-sci_dst.lo `test -f 'sci_gateway/c/sci_dst.c' || echo '$(srcdir)/'`sci_gateway/c/sci_dst.c
993
994 mostlyclean-libtool:
995         -rm -f *.lo
996
997 clean-libtool:
998         -rm -rf .libs _libs
999 install-libscifftw_la_etcDATA: $(libscifftw_la_etc_DATA)
1000         @$(NORMAL_INSTALL)
1001         @list='$(libscifftw_la_etc_DATA)'; test -n "$(libscifftw_la_etcdir)" || list=; \
1002         if test -n "$$list"; then \
1003           echo " $(MKDIR_P) '$(DESTDIR)$(libscifftw_la_etcdir)'"; \
1004           $(MKDIR_P) "$(DESTDIR)$(libscifftw_la_etcdir)" || exit 1; \
1005         fi; \
1006         for p in $$list; do \
1007           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1008           echo "$$d$$p"; \
1009         done | $(am__base_list) | \
1010         while read files; do \
1011           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscifftw_la_etcdir)'"; \
1012           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscifftw_la_etcdir)" || exit $$?; \
1013         done
1014
1015 uninstall-libscifftw_la_etcDATA:
1016         @$(NORMAL_UNINSTALL)
1017         @list='$(libscifftw_la_etc_DATA)'; test -n "$(libscifftw_la_etcdir)" || list=; \
1018         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1019         dir='$(DESTDIR)$(libscifftw_la_etcdir)'; $(am__uninstall_files_from_dir)
1020 install-libscifftw_la_rootDATA: $(libscifftw_la_root_DATA)
1021         @$(NORMAL_INSTALL)
1022         @list='$(libscifftw_la_root_DATA)'; test -n "$(libscifftw_la_rootdir)" || list=; \
1023         if test -n "$$list"; then \
1024           echo " $(MKDIR_P) '$(DESTDIR)$(libscifftw_la_rootdir)'"; \
1025           $(MKDIR_P) "$(DESTDIR)$(libscifftw_la_rootdir)" || exit 1; \
1026         fi; \
1027         for p in $$list; do \
1028           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1029           echo "$$d$$p"; \
1030         done | $(am__base_list) | \
1031         while read files; do \
1032           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscifftw_la_rootdir)'"; \
1033           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscifftw_la_rootdir)" || exit $$?; \
1034         done
1035
1036 uninstall-libscifftw_la_rootDATA:
1037         @$(NORMAL_UNINSTALL)
1038         @list='$(libscifftw_la_root_DATA)'; test -n "$(libscifftw_la_rootdir)" || list=; \
1039         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1040         dir='$(DESTDIR)$(libscifftw_la_rootdir)'; $(am__uninstall_files_from_dir)
1041 install-libscifftw_la_sci_gatewayDATA: $(libscifftw_la_sci_gateway_DATA)
1042         @$(NORMAL_INSTALL)
1043         @list='$(libscifftw_la_sci_gateway_DATA)'; test -n "$(libscifftw_la_sci_gatewaydir)" || list=; \
1044         if test -n "$$list"; then \
1045           echo " $(MKDIR_P) '$(DESTDIR)$(libscifftw_la_sci_gatewaydir)'"; \
1046           $(MKDIR_P) "$(DESTDIR)$(libscifftw_la_sci_gatewaydir)" || exit 1; \
1047         fi; \
1048         for p in $$list; do \
1049           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1050           echo "$$d$$p"; \
1051         done | $(am__base_list) | \
1052         while read files; do \
1053           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscifftw_la_sci_gatewaydir)'"; \
1054           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscifftw_la_sci_gatewaydir)" || exit $$?; \
1055         done
1056
1057 uninstall-libscifftw_la_sci_gatewayDATA:
1058         @$(NORMAL_UNINSTALL)
1059         @list='$(libscifftw_la_sci_gateway_DATA)'; test -n "$(libscifftw_la_sci_gatewaydir)" || list=; \
1060         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1061         dir='$(DESTDIR)$(libscifftw_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
1062
1063 ID: $(am__tagged_files)
1064         $(am__define_uniq_tagged_files); mkid -fID $$unique
1065 tags: tags-am
1066 TAGS: tags
1067
1068 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1069         set x; \
1070         here=`pwd`; \
1071         $(am__define_uniq_tagged_files); \
1072         shift; \
1073         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1074           test -n "$$unique" || unique=$$empty_fix; \
1075           if test $$# -gt 0; then \
1076             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1077               "$$@" $$unique; \
1078           else \
1079             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1080               $$unique; \
1081           fi; \
1082         fi
1083 ctags: ctags-am
1084
1085 CTAGS: ctags
1086 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1087         $(am__define_uniq_tagged_files); \
1088         test -z "$(CTAGS_ARGS)$$unique" \
1089           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1090              $$unique
1091
1092 GTAGS:
1093         here=`$(am__cd) $(top_builddir) && pwd` \
1094           && $(am__cd) $(top_srcdir) \
1095           && gtags -i $(GTAGS_ARGS) "$$here"
1096 cscopelist: cscopelist-am
1097
1098 cscopelist-am: $(am__tagged_files)
1099         list='$(am__tagged_files)'; \
1100         case "$(srcdir)" in \
1101           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1102           *) sdir=$(subdir)/$(srcdir) ;; \
1103         esac; \
1104         for i in $$list; do \
1105           if test -f "$$i"; then \
1106             echo "$(subdir)/$$i"; \
1107           else \
1108             echo "$$sdir/$$i"; \
1109           fi; \
1110         done >> $(top_builddir)/cscope.files
1111
1112 distclean-tags:
1113         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1114
1115 distdir: $(DISTFILES)
1116         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1117         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1118         list='$(DISTFILES)'; \
1119           dist_files=`for file in $$list; do echo $$file; done | \
1120           sed -e "s|^$$srcdirstrip/||;t" \
1121               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1122         case $$dist_files in \
1123           */*) $(MKDIR_P) `echo "$$dist_files" | \
1124                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1125                            sort -u` ;; \
1126         esac; \
1127         for file in $$dist_files; do \
1128           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1129           if test -d $$d/$$file; then \
1130             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1131             if test -d "$(distdir)/$$file"; then \
1132               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1133             fi; \
1134             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1135               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1136               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1137             fi; \
1138             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1139           else \
1140             test -f "$(distdir)/$$file" \
1141             || cp -p $$d/$$file "$(distdir)/$$file" \
1142             || exit 1; \
1143           fi; \
1144         done
1145 check-am: all-am
1146         $(MAKE) $(AM_MAKEFLAGS) check-local
1147 check: check-am
1148 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1149 installdirs:
1150         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscifftw_la_etcdir)" "$(DESTDIR)$(libscifftw_la_rootdir)" "$(DESTDIR)$(libscifftw_la_sci_gatewaydir)"; do \
1151           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1152         done
1153 install: install-am
1154 install-exec: install-exec-am
1155 install-data: install-data-am
1156 uninstall: uninstall-am
1157
1158 install-am: all-am
1159         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1160
1161 installcheck: installcheck-am
1162 install-strip:
1163         if test -z '$(STRIP)'; then \
1164           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1165             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1166               install; \
1167         else \
1168           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1169             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1170             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1171         fi
1172 mostlyclean-generic:
1173
1174 clean-generic:
1175
1176 distclean-generic:
1177         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1178         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1179
1180 maintainer-clean-generic:
1181         @echo "This command is intended for maintainers to use"
1182         @echo "it deletes files that may require special tools to rebuild."
1183 clean: clean-am
1184
1185 clean-am: clean-generic clean-libtool clean-local \
1186         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1187
1188 distclean: distclean-am
1189         -rm -rf ./$(DEPDIR)
1190         -rm -f Makefile
1191 distclean-am: clean-am distclean-compile distclean-generic \
1192         distclean-local distclean-tags
1193
1194 dvi: dvi-am
1195
1196 dvi-am:
1197
1198 html: html-am
1199
1200 html-am:
1201
1202 info: info-am
1203
1204 info-am:
1205
1206 install-data-am: install-data-local install-libscifftw_la_etcDATA \
1207         install-libscifftw_la_rootDATA \
1208         install-libscifftw_la_sci_gatewayDATA
1209
1210 install-dvi: install-dvi-am
1211
1212 install-dvi-am:
1213
1214 install-exec-am: install-pkglibLTLIBRARIES
1215
1216 install-html: install-html-am
1217
1218 install-html-am: install-html-local
1219
1220 install-info: install-info-am
1221
1222 install-info-am:
1223
1224 install-man:
1225
1226 install-pdf: install-pdf-am
1227
1228 install-pdf-am:
1229
1230 install-ps: install-ps-am
1231
1232 install-ps-am:
1233
1234 installcheck-am:
1235
1236 maintainer-clean: maintainer-clean-am
1237         -rm -rf ./$(DEPDIR)
1238         -rm -f Makefile
1239 maintainer-clean-am: distclean-am maintainer-clean-generic
1240
1241 mostlyclean: mostlyclean-am
1242
1243 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1244         mostlyclean-libtool
1245
1246 pdf: pdf-am
1247
1248 pdf-am:
1249
1250 ps: ps-am
1251
1252 ps-am:
1253
1254 uninstall-am: uninstall-libscifftw_la_etcDATA \
1255         uninstall-libscifftw_la_rootDATA \
1256         uninstall-libscifftw_la_sci_gatewayDATA \
1257         uninstall-pkglibLTLIBRARIES
1258
1259 .MAKE: check-am install-am install-strip
1260
1261 .PHONY: CTAGS GTAGS TAGS all all-am all-local check check-am \
1262         check-local clean clean-generic clean-libtool clean-local \
1263         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES cscopelist-am \
1264         ctags ctags-am distclean distclean-compile distclean-generic \
1265         distclean-libtool distclean-local distclean-tags distdir dvi \
1266         dvi-am html html-am info info-am install install-am \
1267         install-data install-data-am install-data-local install-dvi \
1268         install-dvi-am install-exec install-exec-am install-html \
1269         install-html-am install-html-local install-info \
1270         install-info-am install-libscifftw_la_etcDATA \
1271         install-libscifftw_la_rootDATA \
1272         install-libscifftw_la_sci_gatewayDATA install-man install-pdf \
1273         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1274         install-ps-am install-strip installcheck installcheck-am \
1275         installdirs maintainer-clean maintainer-clean-generic \
1276         mostlyclean mostlyclean-compile mostlyclean-generic \
1277         mostlyclean-libtool pdf pdf-am ps ps-am tags tags-am uninstall \
1278         uninstall-am uninstall-libscifftw_la_etcDATA \
1279         uninstall-libscifftw_la_rootDATA \
1280         uninstall-libscifftw_la_sci_gatewayDATA \
1281         uninstall-pkglibLTLIBRARIES
1282
1283
1284 # This target enables tests for Scilab
1285 check-local: $(top_builddir)/scilab-bin test
1286         if test -d $(mydatadir)/tests; then \
1287           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1288         fi
1289 check-code:
1290         if test -f build.xml; then \
1291                 $(ANT) checkstyle; \
1292         fi
1293         if test -x "$(SPLINT)"; then \
1294                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1295         fi
1296 @NEED_JAVA_TRUE@java:
1297 # Some configurations needs to export JAVA_HOME in the current env
1298 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1299 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1300 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1301 @NEED_JAVA_TRUE@                $(ANT); \
1302 @NEED_JAVA_TRUE@        fi
1303
1304 @NEED_JAVA_TRUE@clean-java:
1305 # Some configurations needs to export JAVA_HOME in the current env
1306 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1307 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1308 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1309 @NEED_JAVA_TRUE@                $(ANT) clean; \
1310 @NEED_JAVA_TRUE@        fi;
1311
1312 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1313 # We call the target swig-build on the variable SWIG_WRAPPERS
1314
1315 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1316 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1317 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1318 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1319 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1320 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
1321 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1322 @SWIG_TRUE@             done; \
1323 @SWIG_TRUE@     fi
1324
1325 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
1326 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
1327 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
1328 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
1329 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
1330 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_SCILAB)  -outdir $$SWIG_OUTDIR $$file; \
1331 @SWIG_TRUE@             done; \
1332 @SWIG_TRUE@     fi
1333
1334 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1335 # We call the target swig-build on the variable SWIG_WRAPPERS
1336
1337 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1338 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1339 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1340 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1341 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1342 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1343 @GIWS_TRUE@             done; \
1344 @GIWS_TRUE@     fi
1345
1346 @GIWS_TRUE@giws-exception:
1347 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1348 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1349 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1350
1351 macros:
1352         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1353                 echo "Error : Cannot build $< : Scilab has not been built"; \
1354         else \
1355                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1356         fi)
1357
1358 # Removes the macros
1359 clean-macros:
1360 # Removes macros (*.bin generated from .sci)
1361         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1362                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1363                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1364         done
1365
1366 test:
1367 # More tests could be added here
1368         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1369         if test -f build.xml -a $$USEANT -eq 1; then \
1370                 $(ANT) test; \
1371         fi
1372
1373 all-local: $(TARGETS_ALL)
1374
1375 .sci.bin:
1376         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1377         echo "Error : Cannot build $< : Scilab has not been build"; \
1378         else \
1379         echo "Creating $@"; \
1380         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1381         fi )
1382
1383 install-html-local:
1384
1385 install-data-local-local:
1386 # Mainly for javasci
1387         @if test -d $(srcdir)/javadoc; then \
1388                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1389         fi
1390 # If the user wants the help sources to be installed
1391 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1392 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1393 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1394 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1395 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1396 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1397 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1398 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1399 @INSTALL_HELP_XML_TRUE@           done ; \
1400 @INSTALL_HELP_XML_TRUE@         fi; \
1401 @INSTALL_HELP_XML_TRUE@  fi; \
1402 @INSTALL_HELP_XML_TRUE@ done; \
1403 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1404 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1405 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1406 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1407 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1408 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1409 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1410 @INSTALL_HELP_XML_TRUE@           done ; \
1411 @INSTALL_HELP_XML_TRUE@         fi; \
1412 @INSTALL_HELP_XML_TRUE@ fi
1413 install-data-local:
1414 # Install the tests
1415         @echo "-------- Install tests (if any) --------"; \
1416         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1417           if test -d $(srcdir)/$$dir/; then \
1418             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1419                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1420                     if test -d "$(srcdir)/$$dir/$$file"; then \
1421                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1422                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1423                     else \
1424                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1425                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1426                     fi \
1427                   done; \
1428           fi; \
1429         done
1430 # Install the help chapter
1431         @echo "-------- Install the help chapter (if any) --------"; \
1432         for lang in $(HELP_CHAPTERLANG); do \
1433                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1434                 if test -f $$HELPFILE; then \
1435                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1436                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1437                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1438                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1439                 fi; \
1440         done
1441 # Install the demos & examples
1442         @echo "-------- Install demos & examples (if any) --------"; \
1443         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1444           if test -d $(srcdir)/$$dir/; then \
1445             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1446                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1447                     if test -d "$(srcdir)/$$dir/$$file"; then \
1448                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1449                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1450                     else \
1451                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1452                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1453                     fi \
1454                   done; \
1455           fi; \
1456         done
1457 # Install the macros
1458         @echo "-------- Install macros (if any) --------"; \
1459         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1460           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1461                 if test -d $(srcdir)/$$dir/; then \
1462                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1463                         if test -n "$(MACROSSPECIALEXT)"; then \
1464                                 specialExtDir=""; \
1465                                 for specialExt in $(MACROSSPECIALEXT); do \
1466                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1467                                 done; \
1468                                 FILELIST="$$FILELIST $$specialExtDir"; \
1469                         fi; \
1470                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1471                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1472                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1473                   done; \
1474                 fi; \
1475         done
1476 # Install java files (.jar)
1477         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1478         echo "-------- Install jar files --------"; \
1479     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1480           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1481                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1482                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1483           done ; \
1484         fi
1485
1486 ########### CLEAN ###################
1487 # Clean help (generated automatically by Scilab)
1488 # It used to clean the macro (clean-macros) but this was causing
1489 # make clean && make to fail Scilab startup
1490 @NEED_JAVA_TRUE@clean-local: clean-java
1491 @NEED_JAVA_FALSE@clean-local:
1492
1493 distclean-local:
1494         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1495
1496 .PHONY: macros java swig giws
1497
1498 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1499 # Otherwise a system limit (for SysV at least) may be exceeded.
1500 .NOEXPORT: